%define name mono-zeroconf
%define version 0.9.0
%define release %mkrel 3

Summary: Cross platform Zero Configuration Networking library 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.banshee-project.org/mono-zeroconf/%{name}-%{version}.tar.xz
License: BSD
Group: System/Libraries
Url: http://mono-project.com/Mono_Zeroconf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: monodoc
BuildRequires: avahi-sharp
Requires: mono
Obsoletes: %{name}-doc

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

%description
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %name = %version-%release pkgconfig monodoc

%description devel
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

%prep
%setup -q

%build
%configure --disable-mdnsresponder --libdir=%{_prefix}/lib
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_libdir}/pkgconfig
test "%{_libdir}" = "%{_prefix}/lib" || mv %{buildroot}%{_prefix}/lib/pkgconfig/*.pc %{buildroot}%{_libdir}/pkgconfig/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog NEWS README
%{_bindir}/mzclient
%{_prefix}/lib/mono-zeroconf/
%{_prefix}/lib/mono/gac/Mono.Zeroconf
%{_prefix}/lib/mono/mono-zeroconf
%{_prefix}/lib/mono/gac/policy.*

%files devel
%{_libdir}/pkgconfig/mono-zeroconf.pc
%{_prefix}/lib/monodoc/sources/mono-zeroconf*


%changelog
* Tue Sep 24 2013 pinoc <vogtpet at gmail.com> 0.9.0-3pclos2013
- rebuild against updated mono and new avahi-sharp
- amended spec from Fedora to remove broken doc-package 

* Mon Oct 11 2010 pcserver <pcserver at hush.com> 0.9.0-2pclos2010
- rebuild for new mono

